'use strict';

var tslib_es6 = require('./tslib.es6-cjs.js');
var React = require('react');
var Icon = require('./Icon-cjs.js');
var Chip = require('./Chip-cjs.js');

function ChipSelectable(_a) {
    var { selected } = _a, rest = tslib_es6.__rest(_a, ["selected"]);
    return (React.createElement(Chip.Chip, Object.assign({}, rest),
        React.createElement(Chip.Chip.Suffix, { className: selected ? Chip.styles.selected : "" },
            React.createElement(Icon.Icon, { name: selected ? "checkmark" : "add", size: "small", color: "interactiveSubtle" }))));
}

function ChipDismissible(props) {
    return (React.createElement(Chip.Chip, Object.assign({}, props),
        React.createElement(Chip.Chip.Suffix, null,
            React.createElement(Icon.Icon, { name: "cross", size: "small", color: "interactiveSubtle" }))));
}

exports.ChipDismissible = ChipDismissible;
exports.ChipSelectable = ChipSelectable;
